Bug 71713 - /boot does not update when placed in a software raid configuration
/boot does not update when placed in a software raid configuration
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-16 19:21 EDT by Cormac McGaughey
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cormac McGaughey 2002-08-16 19:21:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
I installed Red Hat on a 2 disk software raid, using the ext3 file system. This 
raid is the primary boot device from the sytem. The disk was designed as one 
large raid, so that any OS updates gets placed on both disks. A kernel upgrade 
was done, and /boot did not update at boot time.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install red hat 7.3 on a 2 disk software raid. The raid will be ext3 and 
configured as all available space on the disk.
2. Run an update utility to update the kernel to 2.4.18-5
3. Check /boot and notice that 18-3 is gone and 18-5 is in it's place.
4. Reboot and you will see that the system still boots 18-3
	

Actual Results:  2.4.18-3 booted.

Expected Results:  2.4.18-5 should have booted.

Additional info:

I configued the entire disk as a raid so that the OS would be updated 
automatically. The elegant way would have been to put /boot in an unmirrored 
partition by itself. This time I wanted /boot mirrored also so that if the 
primary disk failed I could easily boot from the secondary drive, and not end 
up with a kernel thats out of date.

If you mount /dev/hda1 and check the /boot on the physical disk, you will see 
that it is different from the /boot on the raid device.

It appears that the /boot information from md0 is not being written back 
to /dev/hda1

Workaround is to copy the /boot directory from /dev/md0 to /dev/hda1, but I 
think that /dev/md0 should have written /boot back to /dev/hda1
Comment 1 Cormac McGaughey 2002-09-03 18:29:59 EDT
I did more checking. The mirrored disk (/dev/hdc1) is getting an updated 
physical /boot and this is not happening on /dev/hda1

So:
/dev/md0/boot - updated
/dev/hda1/boot - NOT updated
/dev/hdc1/boot - updated
Comment 2 Bugzilla owner 2004-09-30 11:39:50 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.